//=============================================================================
// Audio Replacer
// by Snek
// Last Updated: August 11, 2021
//=============================================================================

var Imported = Imported || {};
Imported.Snek_AudioReplacer = true;

var Snek = Snek || {};
Snek.AudioReplacer = Snek.AudioReplacer || {};

/*:
* @plugindesc Makes all audio (BGM, ME, SE, etc) one file.
* @author Snek
*/

(function () {

    const _AudioManager_playBgm = AudioManager.playBgm;
    AudioManager.playBgm = function (bgm, pos) {
        bgm.name = 'vineboomsfx';
        _AudioManager_playBgm.call(this, bgm, pos)
    }
        const _AudioManager_playBgs = AudioManager.playBgs;
    AudioManager.playBgs = function (bgs, pos) {
        bgs.name = 'vineboomsfx';
        _AudioManager_playBgs.call(this, bgs, pos);
    }

    const _AudioManager_playMe = AudioManager.playMe;
    AudioManager.playMe = function (me) {
        me.name = 'vineboomsfx';
        _AudioManager_playMe.call(this, me);
    }

    const _AudioManager_playSe = AudioManager.playSe;
    AudioManager.playSe = function (se) {
        se.name = 'vineboomsfx';
        _AudioManager_playSe.call(this, se);
    }
})();